Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

Error in PREPARE with MS-SQL Server

I'm doing a upgrade to ECC 6.0 SR2. I'm following the instructions of Upgrade Guide SAP ECC 6.0

SR2.

My Operating System is Windows 2003 Server, database is MS-SQL Server and SAP system source is R3

4.7 Ext 200 non-Unicode

I updated SAPup and included the correction fix in the upgrade root directory (\usr\sap\put\).

The environment variables for all users are:

dbms_type=MSS
mssql_dbname=R37
mssql_schema=r37
mssql_server=<myServer>

The Default Database for users <Server>/R37adm and r37 is R37. The default schema for both users is

r37. Both users are owners of the database.

The default profile have the following parameters (the last line is a blank):

SAPSYSTEMNAME = R37
SAPDBHOST = <myServer>
rdisp/mshost = <myServer>
rdisp/accept_remote_trace_level = 0
rdisp/sna_gateway = <myServer>
rdisp/sna_gw_service = sapgw00
rdisp/bufrefmode = sendoff,exeauto
ms/server_port_0 = PROT=HTTP, PORT=8100
dbms/type = mss
dbs/mss/server = <myServer>
dbs/mss/schema = r37
dbs/mss/dbname = R37

I'm running the PREPARE and shows an error when running the script MSSCONCHECK.SQL.

The error in MSSCONCHECK.LOG is:

Msg 208, Level 16, State 1, Server <myServer>, Line 2
Invalid object name 'SVERS'.

The MSSCONCHECK.OUT is:

SAPup>  Starting subprocess osql with id 2828 at 20081011141236

EXECUTING osql -S <myServer> -E -d  -i e:\usr\sap\put\bin\MSSCONCHECK.SQL -o 

e:\usr\sap\put\log\MSSCONCHECK.LOG -h-1 "-w 100" -n
Environment: dbms_type=MSS
Environment: JAVA_HOME=C:\j2sdk1.4.2_12
Environment: Path=C:\Program Files\Windows Resource 

Kits\Tools\;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\Program Files\Microsoft SQL 

Server\90\Tools\binn\;C:\Program Files\Microsoft SQL Server\90\DTS\Binn\;C:\Program Files\Microsoft 

SQL Server\90\Tools\Binn\VSShell\Common7\IDE\;E:\usr\sap\R37\SYS\exe\run\
Environment: PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH

The MSSCONCHECK.SQL is:

setuser 'r37'
select VERSION from SVERS
go

Any idea?

replied

Hello

I got answer to your question

Please follow " Note 908718 - Upgrade - Prepare phase error invalid SVERS Object"

I hope this will definitley solve your problem

Best,

Ganesh Gambhir

0 View this answer in context

Helpful Answer

by
Not what you were looking for? View more on this topic or Ask a question